CRM Settings
Replace the custom field definitions for one CRM record type.
PUT
/
crm
/
settings
/
custom-fields
Replace the custom field definitions for one CRM record type.
curl --request PUT \
--url https://api.example.com/crm/settings/custom-fields \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fields": [
{
"id": "<string>",
"key": "<string>",
"label": "<string>",
"required": true,
"order": 123,
"options": [
"<string>"
]
}
]
}
'import requests
url = "https://api.example.com/crm/settings/custom-fields"
payload = { "fields": [
{
"id": "<string>",
"key": "<string>",
"label": "<string>",
"required": True,
"order": 123,
"options": ["<string>"]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fields: [
{
id: '<string>',
key: '<string>',
label: '<string>',
required: true,
order: 123,
options: ['<string>']
}
]
})
};
fetch('https://api.example.com/crm/settings/custom-fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fields": [
{
"id": "<string>",
"key": "<string>",
"label": "<string>",
"type": "text",
"required": true,
"order": 123,
"options": [
"<string>"
]
}
]
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}Authorizations
ApiKeyJWTApiUserHeader
Bearer token: a Platform API Key (format: ak_live::) or a Personal Access Token (format: rgo-...). PATs always act as the token owner.
Query Parameters
Available options:
deal, company Body
application/json
Show child attributes
Show child attributes
Response
Show child attributes
Show child attributes
⌘I
Replace the custom field definitions for one CRM record type.
